<?xml version="1.0" encoding="UTF-8"?>
<templates id="template" xml:space="preserve">

    <t t-name="OrderSummaryReceipt" owl="1">
        <div class="pos-receipt">
            <t t-if="props.CompanyData.company.logo">
                <img class="pos-receipt-logo" t-att-src="props.CompanyData.company.logo" alt="Logo"/>
                <br/>
            </t>
            <t t-if="!props.CompanyData.company.logo">
                <h2 class="pos-receipt-center-align">
                    <t t-esc="props.CompanyData.company.name"/>
                </h2>
                <br/>
            </t>
            <div class="pos-receipt-contact">
                <t t-if="props.CompanyData.company.contact_address">
                    <div><t t-esc="props.CompanyData.company.contact_address" /></div>
                </t>
                <t t-if="props.CompanyData.company.phone">
                    <div>Tel:<t t-esc="props.CompanyData.company.phone"/></div>
                </t>
                <t t-if="props.CompanyData.company.vat">
                    <div><t t-esc="props.CompanyData.company.vat_label"/>:
                        <t t-esc="receipt.company.vat"/></div>
                </t>
                <t t-if="props.CompanyData.company.website">
                    <div><t t-esc="props.CompanyData.company.website" /></div>
                </t>
                <t t-if="props.CompanyData.header_html">
                    <t t-raw="props.CompanyData.header_html"/>
                </t>
                <t t-if="!props.CompanyData.header_html and props.CompanyData.header">
                    <div><t t-esc="props.CompanyData.header" /></div>
                </t>
            </div>
            <div style="font-size: 14px;margin-top: 5%;">
                <t t-if="env.pos.order_print_date">
                    <b>Start Date:</b>
                    <t t-esc="env.pos.order_date[0]"/>
                    <b>  End Date:</b>
                    <t t-esc="env.pos.order_date[1]"/>
                </t>
            </div>
            <t t-if="props.OrderReportData and Object.keys(props.OrderReportData).length > 0">
                <t t-if="env.pos.state">
                    <h3 align="center">Order Summary</h3>
                    <table style="width:100%;">
                        <thead>
                            <th class="pos-left-align">Order Ref</th>
                            <th class="pos-right-align">Order Date</th>
                            <th class="pos-right-align">Total</th>
                        </thead>
                        <tbody>
                            <t t-foreach="props.OrderReportData" t-as="each_order">
                                <tr>
                                    <td class="pos-left-align">
                                        <t t-esc="each_order.order_ref"/>
                                    </td>
                                    <td class="pos-right-align">
                                        <t t-esc="each_order.order_date"/>
                                    </td>
                                    <td class="pos-right-align">
                                        <t t-esc="env.pos.format_currency(each_order.total)"/>
                                    </td>
                                </tr>
                            </t>
                        </tbody>
                    </table>
                </t>

                <t t-if="!env.pos.state">
                    <h3 align="center">Order Summary</h3>
                    <t t-foreach="props.OrderReportData" t-as="each_order">
                        <h4 align="center" style="text-transform: capitalize">
                            <t t-esc="each_order"/>
                        </h4>
                        <table style="width:100%;">
                            <thead>
                                <th style="border-bottom: 1px solid black;" class="pos-left-align"><br />Order Ref</th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Order Date</th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Total</th>
                            </thead>
                            <tbody>
                                <t t-foreach="each_order_value" t-as="each_detail">
                                    <tr>
                                        <td class="pos-left-align">
                                            <t t-esc="each_detail_value.order_ref"/>
                                        </td>
                                        <td class="pos-right-align">
                                            <t t-esc="each_detail_value.order_date"/>
                                        </td>
                                        <td class="pos-right-align">
                                            <t t-esc="env.pos.format_currency(each_detail_value.total)"/>
                                        </td>
                                    </tr>
                                </t>
                            </tbody>
                        </table>
                    </t>
                </t>
            </t>
            <t t-if="props.CategoryReportData and Object.keys(props.CategoryReportData).length > 0">
                <t t-if="env.pos.state">
                    <h3 align="center">Category Summary</h3>
                    <table style="width:100%;">
                        <thead>
                            <th style="border-bottom: 1px solid black;" class="pos-left-align"><br />Category</th>
                            <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Qty</th>
                            <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Total</th>
                        </thead>
                        <tbody>
                            <t t-set="category_total" t-value="0"/>
                            <t t-foreach="props.CategoryReportData" t-as="category_data">
                                <tr>
                                    <td class="pos-left-align">
                                        <t t-esc="category_data"/>
                                    </td>
                                    <td class="pos-right-align">
                                        <t t-esc="category_data_value[0]"/>
                                    </td>
                                    <td class="pos-right-align">
                                        <t t-esc="env.pos.format_currency(category_data_value[1])"/>
                                    </td>
                                    <t t-set="category_total" t-value="category_data_value[1]+category_total"/>
                                </tr>
                            </t>
                            <tr>
                                <td class="pos-left-align"> <hr/> </td>
                                <td class="pos-right-align"> <hr/> </td>
                                <td class="pos-right-align"> <hr/> </td>
                            </tr>
                            <tr>
                                <td style="font-weight:bold;" class="pos-left-align">
                                    Total
                                </td>
                                <td class="pos-right-align"/>
                                <td style="font-weight:bold;" class="pos-right-align">
                                    <t t-esc="env.pos.format_currency(category_total)"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </t>
                <t t-if="!env.pos.state">
                    <h3 align="center">Category Summary</h3>
                    <t t-foreach="props.CategoryReportData" t-as="each_category">
                        <h4 align="center" style="text-transform: capitalize">
                            <t t-esc="each_category"/>
                        </h4>
                        <table style="width:100%;">
                            <thead>
                                <th style="border-bottom: 1px solid black;" class="pos-left-align"><br />Category</th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Qty</th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Total</th>
                            </thead>
                            <tbody>
                                <t t-set="total" t-value="0"/>
                                <t t-foreach="each_category_value" t-as="category_detail">
                                    <tr>
                                        <td class="pos-left-align">
                                            <t t-esc="category_detail"/>
                                        </td>
                                        <td class="pos-right-align">
                                            <t t-esc="category_detail_value[0]"/>
                                        </td>
                                        <td class="pos-right-align">
                                            <t t-esc="env.pos.format_currency(category_detail_value[1])"/>
                                        </td>
                                        <t t-set="total" t-value="category_detail_value[1]+total"/>
                                    </tr>
                                </t>
                                <tr>
                                    <td class="pos-left-align"> <hr/> </td>
                                    <td class="pos-right-align"> <hr/> </td>
                                    <td class="pos-right-align"> <hr/> </td>
                                </tr>
                                <tr>
                                    <td style="font-weight:bold;" class="pos-left-align">
                                        Total
                                    </td>
                                    <td class="pos-right-align"/>
                                    <td style="font-weight:bold;" class="pos-right-align">
                                        <t t-esc="env.pos.format_currency(total)"/>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </t>
                </t>
            </t>
            <t t-if="props.PaymentReportData and Object.keys(props.PaymentReportData).length > 0">
                <t t-if="env.pos.state">
                    <h3 align="center">Payment Summary</h3>
                    <table style="width:100%;">
                        <thead>
                            <th style="border-bottom: 1px solid black;" class="pos-left-align"><br />Payment Method</th>
                            <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Amount</th>
                        </thead>
                        <tbody>
                            <t t-set="payment_total" t-value="0"/>
                            <t t-foreach="props.PaymentReportData" t-as="each_payment">
                                <tr>
                                    <td class="pos-left-align">
                                        <t t-esc="each_payment"/>
                                    </td>
                                    <td class="pos-right-align">
                                        <t t-esc="env.pos.format_currency(each_payment_value)"/>
                                    </td>
                                    <t t-set="payment_total" t-value="each_payment_value+payment_total"/>
                                </tr>
                            </t>
                            <tr>
                                <td class="pos-left-align"> <hr/> </td>
                                <td class="pos-right-align"> <hr/> </td>
                            </tr>
                            <tr>
                                <td style="font-weight:bold;" class="pos-left-align">
                                    Total
                                </td>
                                <td style="font-weight:bold;" class="pos-right-align">
                                    <t t-esc="env.pos.format_currency(payment_total)"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </t>
                <t t-if="!env.pos.state">
                    <h3 align="center">Payment Summary</h3>
                    <t t-foreach="props.PaymentReportData" t-as="payment_detail">
                        <h4 align="center" style="text-transform: capitalize">
                            <t t-esc="payment_detail"/>
                        </h4>
                        <table style="width:100%;">
                            <thead>
                                <th style="border-bottom: 1px solid black;" class="pos-left-align"><br />Payment Method</th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br /></th>
                                <th style="border-bottom: 1px solid black;" class="pos-right-align"><br />Amount</th>
                            </thead>
                            <tbody>
                                <t t-set="total" t-value="0"/>
                                <t t-foreach="payment_detail_value" t-as="each_payment">
                                    <tr>
                                        <td class="pos-left-align">
                                            <t t-esc="each_payment"/>
                                        </td>
                                        <td class="pos-right-align"/>
                                        <td class="pos-right-align">
                                            <t t-esc="env.pos.format_currency(each_payment_value)"/>
                                        </td>
                                        <t t-set="total" t-value="each_payment_value+total"/>
                                    </tr>
                                </t>
                                <tr>
                                    <td class="pos-left-align"> <hr/> </td>
                                    <td class="pos-right-align"> <hr/> </td>
                                    <td class="pos-right-align"> <hr/> </td>
                                </tr>
                                <tr>
                                    <td style="font-weight:bold;" class="pos-left-align">
                                        Total
                                    </td>
                                    <td class="pos-right-align"/>
                                    <td style="font-weight:bold;" class="pos-right-align">
                                        <t t-esc="env.pos.format_currency(total)"/>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </t>
                </t>
            </t>

            <t t-if="env.pos.config.order_signature">
                <div style="margin-top: 15%;">
                    <h4 align="center" style="border-bottom: 1px dotted black;width:50%;margin-left: 25%;"/>
                    <h4 align="center">Signature</h4>
                </div>
            </t>
        </div>
    </t>

</templates>
